Package org.eclipse.emf.spi.cdo

# Interface InternalCDOSavepoint

All Superinterfaces:
  `CDOChangeSetDataProvider`, `CDOSavepoint`, `CDOUserSavepoint`, `InternalCDOUserSavepoint`

public interface InternalCDOSavepoint extends CDOSavepoint, InternalCDOUserSavepoint
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`CDOObject`
`getDetachedObject(CDOID id)`
`CDOObject`
`getDirtyObject(CDOID id)`
`InternalCDOSavepoint`
`getFirstSavePoint()`
`InternalCDOSavepoint`
`getNextSavepoint()`
`InternalCDOSavepoint`
`getPreviousSavepoint()`
`Set<CDOID>`
`getSharedDetachedObjects()`
Deprecated.
`InternalCDOTransaction`
`getTransaction()`
`boolean`
`isNewObject(CDOID id)`
`void`
`recalculateSharedDetachedObjects()`
Deprecated.

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetDataProvider

`getChangeSetData`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOSavepoint

`getAllBaseNewObjects, getAllChangeSetData, getAllDetachedObjects, getAllDirtyObjects, getAllNewObjects, getAllRevisionDeltas, getBaseNewObjects, getDetachedObjects, getDirtyObjects, getNewObjects, getReattachedObjects, getRevisionDeltas, getRevisionDeltas2, wasDirty`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

`getNumber, isValid, rollback`

### Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOUserSavepoint

`setNextSavepoint, setPreviousSavepoint`

## Method Details

### getTransaction

InternalCDOTransaction getTransaction()

Specified by:
  `getTransaction` in interface `CDOSavepoint`
Specified by:
  `getTransaction` in interface `CDOUserSavepoint`
Specified by:
  `getTransaction` in interface `InternalCDOUserSavepoint`

### getFirstSavePoint

InternalCDOSavepoint getFirstSavePoint()

Specified by:
  `getFirstSavePoint` in interface `InternalCDOUserSavepoint`

### getPreviousSavepoint

InternalCDOSavepoint getPreviousSavepoint()

Specified by:
  `getPreviousSavepoint` in interface `CDOSavepoint`
Specified by:
  `getPreviousSavepoint` in interface `CDOUserSavepoint`
Specified by:
  `getPreviousSavepoint` in interface `InternalCDOUserSavepoint`

### getNextSavepoint

InternalCDOSavepoint getNextSavepoint()

Specified by:
  `getNextSavepoint` in interface `CDOSavepoint`
Specified by:
  `getNextSavepoint` in interface `CDOUserSavepoint`
Specified by:
  `getNextSavepoint` in interface `InternalCDOUserSavepoint`

### clear

void clear()

### getSharedDetachedObjects

@Deprecated Set<CDOID> getSharedDetachedObjects()
Deprecated.

### recalculateSharedDetachedObjects

@Deprecated void recalculateSharedDetachedObjects()
Deprecated.

### isNewObject

boolean isNewObject(CDOID id)

Since:
  4.1

### getDirtyObject

CDOObject getDirtyObject(CDOID id)

Since:
  4.6

### getDetachedObject

CDOObject getDetachedObject(CDOID id)

Since:
  4.6